import type { App } from 'vue'

export default {
	install(app: App) {
		const directivesList1 = import.meta.glob('./*.ts', { eager: true }) as any;
		const directivesList2 = import.meta.glob('./*.js', { eager: true }) as any;
		const directivesList = { ...directivesList1, ...directivesList2 };
		Object.keys(directivesList).forEach(key => {
			app.directive(directivesList[key].default.name, directivesList[key].default);
		});
	}
};